Skip to main content
PUT
Update Tier

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique tier structure identifier.

tierId
string
required

Unique tier identifier.

Body

application/json

All fields optional. Omitted fields retain their current values.

name
string

Display name.

Required string length: 1 - 200
qualification_rules
object | null

Qualification rules.

downgrade
object | null

Downgrade override.

metadata
object | null

Custom key-value metadata.

Response

Updated tier

A tier resource as returned by the API.

id
string
required

Unique tier identifier.

tier_structure_id
string
required

ID of the parent tier structure.

name
string
required

Display name.

Maximum string length: 200
downgrade
object
required
metadata
object
required

Custom key-value metadata.

created_at
string<date-time>
required

ISO 8601 creation timestamp.

object
enum<string>
required

Object type discriminator.

Available options:
tier
qualification_rules
object | null

Rules determining how members qualify for this tier.

updated_at
string<date-time> | null

ISO 8601 last-update timestamp.

Last modified on May 19, 2026